## Class template direct_event_id_mapping

boost::log::sinks::event_log::direct_event_id_mapping — Straightforward event ID mapping.

## Synopsis

    // In header: <boost/log/sinks/event_log_backend.hpp>

    template<typename AttributeValueT = int>
    class direct_event_id_mapping :
      public basic_direct_mapping< event_id, AttributeValueT >
    {
    public:
      // construct/copy/destruct
      explicit direct_event_id_mapping(attribute_name const &);
    };

## Description

This type of mapping assumes that attribute with a particular name always provides values that map directly onto the event identifiers. The mapping simply returns the extracted attribute value converted to the event ID.

### `direct_event_id_mapping` public construct/copy/destruct

1.     explicit direct_event_id_mapping(attribute_name const & name);

   Constructor

   Parameters:

   `name` | Attribute name